Subject: bug#23949: 25.0.95; Regression in handling error caused by (string-match-p "." nil)

From: Kaushal Modi <[email-masked]>
Date: Tue, 12 Jul 2016 19:29:45 +0000

On Tue, Jul 12, 2016 at 3:20 PM Eli Zaretskii <[email-masked]> wrote:

> Indeed, it shouldn't, but the question is: what code is responsible
> for that which shouldn't happen?  If some package or your own
> customizations cause the debugger to call extra code, and that extra
> code signals an error, then that extra code needs to be fixed, not
> Emacs.
>

It should also be considered that the help-function-arglist error does not
happen on emacs 24.5, using the exact same projectile version.

> > Also concerning is the fact that,
> >
> > - (string-match "." nil) gives the expected error backtrace.
> > - But (string-match-p "." nil) gives the help-function-arglist error.
>
> Sorry, I fail to see the significance of this to the issue at hand.
>

I find the above to be important because both forms give the expected error
backtrace on emacs 24.5. But on emacs 25.x, string-match-p gives the
unintended help-function-arglist error without any backtrace, while
string-match gives the intended error backtrace. The same projectile
advices are in effect for all of these.

> They are two different functions, and we still don't know which
> functions were advised and how.

Projectile is advising the delete-file and compilation-find-file functions.
The full advice definitions were posted in my previous email.

> Perhaps the advice will explain the
> difference.  Or perhaps we understand the reason  for the difference
> once we get to the bottom of investigating the problem.  Either way,
> the efficient method of looking into this problem is to understand
> what are those advices and where do they come from.

-- 

-- 
Kaushal Modi